Package ru.bitel.bgbilling.modules.qiwi.common.service

# Interface QiwiService

All Superinterfaces:
  `PaymentServiceProvider`

    public interface QiwiService
    extends PaymentServiceProvider

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `cancelTransaction​(int transactionId)` | Отмена выставленной, но еще не оплаченной транзакции.
  `void` | `checkPayment​(int contractId, Period period)` | Проверка статуса транзакций путем отправки запрос в Qiwi.
  `void` | `checkRefundStatus​(int transactionId)` | Проверка статуса возврата по возвращаемой транзакции.
  `void` | `refundTransaction​(int transactionId)` | Возврат средств по уже оплаченной транзакции в полном объеме.
  `SearchResult<Transaction>` | `searchTransactionList​(int contractId, java.lang.String contractTitle, java.lang.String status, Period period, Page page)` | Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.

  ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

  `autopaymentDeactivate, autopaymentGet, beginAutopaymentTransaction, beginTransaction, endTransaction`

- ## Method Details

  - ### searchTransactionList

    SearchResult<Transaction> searchTransactionList​(int contractId, java.lang.String contractTitle, java.lang.String status, Period period, Page page) throws ru.bitel.bgbilling.common.BGException
    Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.
    Parameters:
      `contractId` - код договора
      `contractTitle` - название договора
      `status` - числовой код статуса. (см. `PayturePaymentStatus`
      `period` - период фильтрации транзакций.
    Returns:
      список транзакций.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkPayment

    void checkPayment​(int contractId, Period period) throws ru.bitel.bgbilling.common.BGException
    Проверка статуса транзакций путем отправки запрос в Qiwi.
    Parameters:
      `contractId` - код договора. Если указано -1, то проверяются все платежи модуля, иначе - конкретного договора.
      `period` - период, за который необходимо выяснить статусы транзакций.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### cancelTransaction

    void cancelTransaction​(int transactionId) throws ru.bitel.bgbilling.common.BGException
    Отмена выставленной, но еще не оплаченной транзакции.
    Parameters:
      `transactionId` - код транзакции, которую хотим отменить.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### refundTransaction

    void refundTransaction​(int transactionId) throws ru.bitel.bgbilling.common.BGException
    Возврат средств по уже оплаченной транзакции в полном объеме.
    Parameters:
      `transactionId` - код транзакции, которую хотим возвратить
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkRefundStatus

    void checkRefundStatus​(int transactionId) throws ru.bitel.bgbilling.common.BGException
    Проверка статуса возврата по возвращаемой транзакции.
    Parameters:
      `transactionId` - код транзакции, которую ранее пометили как возвращаемую.
    Throws:
      `ru.bitel.bgbilling.common.BGException`